# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/media/samsung,exynos4212-fimc-lite.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Samsung Exynos SoC series camera host interface (FIMC-LITE)

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>
  - Sylwester Nawrocki <s.nawrocki@samsung.com>

description:
  Each FIMC device should have an alias in the aliases node, in the form of
  fimc-lite<n>, where <n> is an integer specifying the IP block instance.

properties:
  compatible:
    enum:
      - samsung,exynos4212-fimc-lite
      - samsung,exynos5250-fimc-lite

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    items:
      - const: flite

  interrupts:
    maxItems: 1

  iommus:
    maxItems: 1

  power-domains:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks
  - clock-names
  - interrupts

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/exynos4.h>
    #include <dt-bindings/interrupt-controller/arm-gic.h>
    fimc-lite@12390000 {
        compatible = "samsung,exynos4212-fimc-lite";
        reg = <0x12390000 0x1000>;
        clocks = <&isp_clock CLK_ISP_FIMC_LITE0>;
        clock-names = "flite";
        interrupts = <GIC_SPI 105 IRQ_TYPE_LEVEL_HIGH>;
        power-domains = <&pd_isp>;
        iommus = <&sysmmu_fimc_lite0>;
    };
